# neovim-gemini

A Neovim plugin for interacting with the Google AI API (formerly Gemini).

## Requirements

*   Neovim 0.8 or higher
*   A Google AI API key (obtainable from [https://makersuite.google.com/app/apikey](https://makersuite.google.com/app/apikey))

## Installation

Use your favorite Neovim package manager (e.g., Lazy.nvim):

```lua
-- Example Lazy.nvim configuration
{
  "your_username/neovim-gemini", -- Replace with your GitHub username and repo name
  config = function()
    require("gemini").setup() -- Optional: Add a setup function in your init.lua
  end,
  dependencies = {}, -- Add any dependencies here
}
